<?php
//
// File:    add_comment.php
// License: GNU GPL
// Purpose: 
// takes values passed from view_by_permalink.php and uses them to 
// add a comment to the comments table

require_once('./settings.php');
$page_title = 'wheatblog :: comment status';
include_once("$wb_inc_dir/header.php"); 

// start the captcha session
session_start();

	// Check to see if they have permissions.  Reject the comment if the
	// following three conditions are simultaneously true:
	//    1. If the blogger uses sessions, and
	//    2. requires registered comments, and
	//    3. the commenter is not currently registered.
	//
	// FIXME: This is a stub.  Prolly want to do something fancier.
	//
	if ( $use_sessions && $registered_comments && ! isRegistered() )
		die('You have to be registered to comment.');


	// parse the passed variables
	$the_month            = DB_quote($_POST['comment_month']);
	$the_date             = DB_quote($_POST['comment_date']);
	$the_year             = DB_quote($_POST['comment_year']);
	$the_body             = DB_quote($_POST['comment_body']);
	$the_id               = DB_quote($_POST['the_id']);
	$comment_author_name  = DB_quote($_POST['comment_author_name']);
	$comment_author_email = DB_quote($_POST['comment_author_email']);
	$comment_author_url   = DB_quote($_POST['comment_author_url']);
	$timestamp            = DB_quote(date('r'));

  // Captcha check:  if this isn't a robot, do tings...
	if ($_POST["captcha"] == "") {$_POST["captcha"] = "0000000"; } 
	if ($_POST["captcha"] == $_SESSION['captcha_code']) {
	
	// Connect to the RDBMS and select the database.
	$db = DB_connect($site, $user, $pass);
	DB_select_db($database, $db);

    // insert post into the database
    // the if loop fixes a double-posting error.  see CHANGELOG.txt for details
    if ($the_year > 0) {
      $result = DB_query("insert into $tblComments 
        (id, comment_month, comment_date, comment_year, comment_body,
		  post_id, comment_author_name, comment_author_email,
		  comment_author_url, timestamp)
        values 
        (null, $the_month, $the_date, $the_year, $the_body, $the_id,
		  $comment_author_name, $comment_author_email,
		  $comment_author_url, $timestamp)",$db);
    }
    
	// Get the show_id for the previous insert.  We'll need it to drag the
	// entry back out.
	$last_post_id = DB_insert_id($db);

    // print confirmation feedback
    echo '<div class="subcontent" id="comment">'."\n".
         '<span class="dirs">Your comment was successfully posted.  Please wait five seconds to be redirected <a href="./'.$blog_index_page_name.'">Home</a>.</span>'."\n".
         '<span class="dirs">Return to <a href="view_by_permalink.php?the_id='.$the_id.'">the post</a></span>'."\n".
         '</div>'."\n";

    // insert tagline
    echo "\n"."\n".'<!-- generated by http://wheatblog.sourceforge.net -->'."\n"."\n".'<br />';


    // Increment the $comments field in the posts db ($tblPosts)
    $result2 = DB_query("select comments 
      from $tblPosts
      where id = '$the_id'", $db);

	while($row = DB_fetch_array($result2))
	{
		$comments = $row['comments'];

		$comments++;

		$result3 = DB_query("update $tblPosts
			set comments = '$comments' 
			where id = '$the_id'",$db);
	}
    
	// send an email notification
	//
	if ( $notify_on_new_cmnt != "" )
	{
		$from_header = "From: $notify_on_new_cmnt";
		$subject = "New comment at $wb_url";
		$contents = "New comment at $wb_url" . "\n" . 
		"View it here: $wb_url/view_by_permalink.php?the_id=$the_id.\n" . 
      "Contents from:  $comment_author_name ($comment_author_email) | " .
		"$comment_author_url \n$the_body\n";

		mail($notify_on_new_cmnt, $subject, $contents, $from_header);
    }

  // else, if this is a robot, fail.
	} else {
		echo 'CAPTCHA:  comment failed.'.
		'<br />If you believe this was an error, email the site admin';
		  // Unset all of the session variables.
			$_SESSION = array();
			// Finally, destroy the session.
			session_destroy();
	}

	unset($_SESSION['captcha_code']);

include_once("$wb_inc_dir/footer.php");
?>
