<?php
//
// File:    index.php
// License: GNU GPL
// Purpose: Echoes out blog posts   
//

require_once('settings.php');
$page_title = '';
include_once("$wb_inc_dir/header.php");

	// This is how we'll "page" the results.  If postPointer is unset,
	// assume the user is new and reading most recent posts.  Otherwise,
	// he must have clicked on "see next X posts".
	//
	if ( ! isset($_REQUEST['postPtr']) ) $postPtr = 1;
	else                                 $postPtr = $_REQUEST['postPtr'];

	if      ( isset($_REQUEST['prev']) ) --$postPtr;
	else if ( isset($_REQUEST['next']) ) ++$postPtr;

	// We can't go before the beginning.
	//
	if ( $postPtr < 1 ) $postPtr = 1;

	// So let's grab the number of posts we need to skip PLUS $max_front_page.
	//
	// Supposedly, you can do this with "limit" -- you can say "limit 20, 10"
	// which means give me 10 results, starting from the 21st row.
	// Unfortunately, this doesn't seem to be implemented by mySQL and I've
	// read that it isn't implemented by MS SQL server.
	//
	$to_grab = $postPtr * $front_page_max;


    // select recent posts in the database
    $db->query("select * from $tblPosts where showpref = '1'   
        order by year DESC, month DESC, date DESC, id DESC limit $to_grab");

	// If we didn't get the number of rows we requested, it means we must be
	// at the end of the post table.
	//
	if ( $db->num_rows() != $to_grab ) $at_end = true;
	else                               $at_end = false;

    // output the current entries        
    echo("<!-- generated by wheatblog: start -->\n\n");

	// Fast forward if necessary.
	//
	for ($i=0; $i < ($postPtr - 1) * $front_page_max; ++$i)
		$row = $db->fetchArray();


	$db2 = new DatabaseClass;

	while( $row = $db->fetchArray() )
	{
		$the_id      	= $row['id'];
		$the_day      	= $row['day'];
		$the_month    	= $row['month'];
		$the_date     	= $row['date'];
		$the_year     	= $row['year'];
		$the_category	= $row['category'];
		$the_locked   	= $row['locked'];


		// parse out the category id into its string value
		$db2->query("SELECT * FROM $tblCategories WHERE id = '$the_category'");

		while( $row2 = $db2->fetchArray() )
			$the_category_name = $row2["category"];


		$the_showpref	= $row['showpref'];
		$the_title    	= $row['title'];
		$the_body     	= $row['body'];
		$comments     	= $row['comments'];

		// Post body
        
		echo '<div class="subcontent">'."\n";
		echo '<div class="post-heading">'."\n"; # heading is important, needs to be seperate
		echo '<h3 class="post-title">'.$the_title.'</h3>'."\n";
		echo '<h4 class="post-date">'.$the_day.', '.$the_month.'.'.$the_date.'.'.$the_year.'</h4>'."\n";
		echo '</div>'."\n";  # closes div.post-heading
		echo '<div class="post-body">'.$the_body.'</div>'."\n\n";





		// category
       
		echo '<div class="post-menu">' . "\n" .
				'<ul class="postnav">' .  "\n";
		


		// Some admin stuff
		//
		if ( isAdmin() )
		{
			echo '<li title="Edit Post">' .
				'<a href="admin/edit_post.php?id='.$the_id.'">Edit</a>'.
				'</li>'."\n";
		}

		if ( isAdmin() )
		{
			echo '<li title="Delete Post">' .
				'<a href="admin/delete_post.php?id='. $the_id .'" onclick="return deleteConfirm();">Delete</a>' .
				'</li>'."\n";
		}




		echo '<li title="Current Category">'.
			'<a href="view_by_category.php?the_category='.$the_category.
			'">'.$the_category_name.'</a></li>'."\n";


		// Comments

		if ( $the_locked ) {

			echo '<li title="Sorry, This post is Locked.">' .
				'<a class="locked" href="view_by_permalink.php?the_id=';
    	
			# a bit snazzier than "0 Comments" 
			echo ($comments == "0" ? $the_id.'">'.'Comment</a></li>'."\n" : 
				$the_id.'">Comments ('.$comments.')</a></li>'."\n"); 

		} else if ( $use_sessions && $registered_comments && ! isRegistered() ) {

			echo '<li title="Sorry, you must register to comment.">' .
				'<a class="locked" href="view_by_permalink.php?the_id=';

			# a bit snazzier than "0 Comments" 
			echo ($comments == "0" ? $the_id.'">'.'Comment</a></li>'."\n" : 
				$the_id.'">Comments ('.$comments.')</a></li>'."\n"); 

		} else {
		
	   	echo '<li title="Add a Comment">' .
				'<a href="view_by_permalink.php?the_id='; 
			
			# duplicate of above 
			echo ($comments == "0" ? $the_id.'">'.'Comment</a></li>'."\n" : 
			$the_id.'">Comments ('.$comments.')</a></li>'."\n"); 

		}  
     
		# closes list and div.post-menu
		echo "\n".'</ul>'."\n".'</div>'."\n";
		echo '</div>'."\n\n"; # closes div.indent

    }

    echo('<!-- generated by wheatblog: stop -->'."\n\n");

	if ( $postPtr > 1 )
		echo "<a href=\"$self?postPtr=$postPtr&prev=1\">prev</a>\n";

	echo "&nbsp;\n<a href=\"$self\">beginning</a>\n&nbsp;";

	if ( $at_end != true )
		echo "<a href=\"$self?postPtr=$postPtr&next=1\">next</a>\n";



include_once("$wb_inc_dir/footer.php");
?>
